Update an item on a stocktaking
Update note on a stock taking item
Required permissions: STOCKTAKING
put/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items/{stocktakingItemUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
warehouseUidstringRequiredPattern:
Reference to a Warehouse.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+stocktakingUidstringRequiredPattern:
Reference to a Stocktaking.
^[A-Za-z0-9-_]+stocktakingItemUidstringRequiredPattern:
Reference to a Stocktaking item id.
^[A-Za-z0-9-_]+Body
Update a stocktaking item
notestringRequired
Responses
200Success
application/json
Items in a stocktaking
createdAtstring · date-timeRequired
createdBystringRequired
lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
notestringRequired
serialnumbersstring[]Required
stocktakingItemUidstringRequiredPattern:
^[A-Za-z0-9-_]+put/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items/{stocktakingItemUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/warehouses/{warehouseUid}/stocktakings/{stocktakingUid}/items/{stocktakingItemUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"note": "text"
}200Success
{
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"note": "text",
"product": {
"brandName": "text",
"gtins": [
"text"
],
"name": "text",
"productGroupName": "text",
"productUid": "text",
"serialNoRequired": "NO",
"sku": "text"
},
"serialnumbers": [
"text"
],
"stocktakingItemUid": "text"
}Last updated
Was this helpful?

